Resolido Docs
Conversations

Update conversation

PATCH
/conversations/{conversationId}

Star, change the workflow state, switch the AI agent or move an email to spam/inbox.

Authorization

bearer conversations:write
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: conversations:write

Path Parameters

conversationId*string

Conversation id with channel prefix, e.g. chat_k57… or email_j97….

Match^(chat|email)_[a-z0-9]+$

Request Body

application/json
  1. body
isStarred?boolean
workflow?string

Set the detailed state, e.g. waiting_human to escalate. ai_in_progress may make the AI reply.

Value in"waiting_human""waiting_review""ai_inactive""ai_in_progress""waiting_external""human_in_progress""waiting_customer""ai_resolved""resolved""closed"
agentId?string

AI agent handling the conversation.

Length1 <= length <= 64
mailbox?string

Email only.

Value in"inbox""spam"

Response Body

Success

application/json
  1. response
conversationId*string
ok*true
Value intrue
changed*array<string>
curl -X PATCH "https://example.com/conversations/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "conversationId": "string",  "ok": true,  "changed": [    "string"  ]}